Subject: [AVT] Doubts in RFC 2833

From: "Suchi Sahoo" <[email-masked]>
Date: Mon, 23 Dec 2002 23:57:05 +0000

I have few doubts in RFC2833 (draft-ietf-avt-rfc2833bis-01.txt). I went through the questionaires and their answers posted on net. I would really appreciate if you can give some time for me in clarifying my querries.

Referring to this link:

http://www1.ietf.org/mail-archive/working-groups/avt/current/msg01518.html

In the example described ( i.e. the digit event "9" at time 0 that lasts 200 ms), can't we send the complete event in the following one packet

RTP seq#        RTP timestamp        duration

---------------        ---------------------        ------------

0                        0                     1600

instead of sending 4 packets for the same duration? In other words, why do we send the event in 4 packets instead of sending in one packet?

2. In section 3.6, I have few questions:

An audio source SHOULD start transmitting event packets as soon as it recognizes an event and every 50 ms thereafter or the interval between regular audio packets for this session.

Here do we retransmit all event packets every 50 msec or what?

If an event continues for more than one period, the source generating the events should send a new event packet with the RTP timestamp value corresponding to the beginning of the event and the duration of the event increased correspondingly.

Here one period means the max duration we can represent ( i.e. 2**16/8000 sec) or

anything else?

If there has been no new event in the last interval, the event SHOULD be retransmitted three times or until the next event is recognized.

Here does it mean we need to retransmit only the last packet (if an event lasts more than

1 packet), not every packet? Also we have to retransmit either 3 times or retransmit until

next event is recognised ( which one is faster).

Thanks for your time.

Regards,

Suchi

MSN 8 helps eliminate e-mail viruses. Get 3 months FREE*. 3 months FREE*.
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt